? src/external/mit/expat/dist
Index: src/external/mit/expat/bin/xmlwf/Makefile
===================================================================
RCS file: /cvsroot/src/external/mit/expat/bin/xmlwf/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- src/external/mit/expat/bin/xmlwf/Makefile	29 Feb 2012 20:07:56 -0000	1.1
+++ src/external/mit/expat/bin/xmlwf/Makefile	12 Jun 2026 08:23:10 -0000
@@ -4,9 +4,8 @@
 
 PROG=	xmlwf
 
-.PATH:	${EXPATSRCDIR}/xmlwf ${EXPATSRCDIR}/doc
+.PATH:	${EXPATSRCDIR}/xmlwf
 
 SRCS=	codepage.c unixfilemap.c xmlfile.c xmlwf.c
-CPPFLAGS+=-DHAVE_UNISTD_H
 
 .include <bsd.prog.mk>
Index: src/external/mit/expat/lib/libexpat/Makefile
===================================================================
RCS file: /cvsroot/src/external/mit/expat/lib/libexpat/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- src/external/mit/expat/lib/libexpat/Makefile	20 Mar 2026 15:31:36 -0000	1.5
+++ src/external/mit/expat/lib/libexpat/Makefile	12 Jun 2026 08:23:10 -0000
@@ -5,7 +5,7 @@
 LIB=		expat
 
 .PATH:	${EXPATSRCDIR}/lib
-SRCS=	xmlparse.c xmlrole.c xmltok.c
+SRCS=	random_arc4random.c random_arc4random_buf.c random_dev_urandom.c random_getentropy.c random_getrandom.c xmlparse.c xmlrole.c xmltok.c
 
 INCS=		expat.h expat_config.h expat_external.h
 INCSDIR=	/usr/include
Index: src/external/mit/expat/lib/libexpat/expat.expsym
===================================================================
RCS file: /cvsroot/src/external/mit/expat/lib/libexpat/expat.expsym,v
retrieving revision 1.2
diff -u -r1.2 expat.expsym
--- src/external/mit/expat/lib/libexpat/expat.expsym	14 Mar 2025 21:26:54 -0000	1.2
+++ src/external/mit/expat/lib/libexpat/expat.expsym	12 Jun 2026 08:23:10 -0000
@@ -27,6 +27,8 @@
 XML_ParserFree
 XML_ParserReset
 XML_ResumeParser
+XML_SetAllocTrackerActivationThreshold
+XML_SetAllocTrackerMaximumAmplification
 XML_SetAttlistDeclHandler
 XML_SetBase
 XML_SetBillionLaughsAttackProtectionActivationThreshold
@@ -48,6 +50,7 @@
 XML_SetExternalEntityRefHandler
 XML_SetExternalEntityRefHandlerArg
 XML_SetHashSalt
+XML_SetHashSalt16Bytes
 XML_SetNamespaceDeclHandler
 XML_SetNotStandaloneHandler
 XML_SetNotationDeclHandler
@@ -87,3 +90,8 @@
 testingAccountingGetCountBytesDirect
 testingAccountingGetCountBytesIndirect
 unsignedCharToPrintable
+writeRandomBytes_arc4random
+writeRandomBytes_arc4random_buf
+writeRandomBytes_dev_urandom
+writeRandomBytes_getentropy
+writeRandomBytes_getrandom_nonblock
Index: src/external/mit/expat/lib/libexpat/expat_config.h
===================================================================
RCS file: /cvsroot/src/external/mit/expat/lib/libexpat/expat_config.h,v
retrieving revision 1.17
diff -u -r1.17 expat_config.h
--- src/external/mit/expat/lib/libexpat/expat_config.h	18 Apr 2025 16:08:25 -0000	1.17
+++ src/external/mit/expat/lib/libexpat/expat_config.h	12 Jun 2026 08:23:10 -0000
@@ -1,5 +1,4 @@
-/* expat_config.h.  Generated from expat_config.h.in by configure.  */
-/* expat_config.h.in.  Generated from configure.ac by autoheader.  */
+/* expat_config.h.cmake.  Based upon generated expat_config.h.in.  */
 
 #ifndef EXPAT_CONFIG_H
 #define EXPAT_CONFIG_H 1
@@ -12,15 +11,10 @@
 #define BYTEORDER _BYTE_ORDER
 
 /* Define to 1 if you have the `arc4random' function. */
-/* #undef HAVE_ARC4RANDOM */
+#define HAVE_ARC4RANDOM 1
 
-#ifndef TOOL_FCCACHE
 /* Define to 1 if you have the `arc4random_buf' function. */
 #define HAVE_ARC4RANDOM_BUF 1
-#endif
-
-/* define if the compiler supports basic C++11 syntax */
-#define HAVE_CXX11 1
 
 /* Define to 1 if you have the <dlfcn.h> header file. */
 #define HAVE_DLFCN_H 1
@@ -31,17 +25,17 @@
 /* Define to 1 if you have the `getpagesize' function. */
 #define HAVE_GETPAGESIZE 1
 
-/* Host build might not have getrandom */
-#ifndef TOOL_FCCACHE
 /* Define to 1 if you have the `getrandom' function. */
 #define HAVE_GETRANDOM 1
-#endif
+
+/* Define to 1 if you have the `getentropy' function. */
+#define HAVE_GETENTROPY 1
 
 /* Define to 1 if you have the <inttypes.h> header file. */
 #define HAVE_INTTYPES_H 1
 
-/* Define to 1 if you have the `bsd' library (-lbsd). */
-/* #undef HAVE_LIBBSD */
+/* Define to 1 if you have the <memory.h> header file. */
+#define HAVE_MEMORY_H 1
 
 /* Define to 1 if you have a working `mmap' system call. */
 #define HAVE_MMAP 1
@@ -61,13 +55,8 @@
 /* Define to 1 if you have the <string.h> header file. */
 #define HAVE_STRING_H 1
 
-#ifndef TOOL_FCCACHE
 /* Define to 1 if you have `syscall' and `SYS_getrandom'. */
 #define HAVE_SYSCALL_GETRANDOM 1
-#endif
-
-/* Define to 1 if you have the <sys/param.h> header file. */
-#define HAVE_SYS_PARAM_H 1
 
 /* Define to 1 if you have the <sys/stat.h> header file. */
 #define HAVE_SYS_STAT_H 1
@@ -78,9 +67,6 @@
 /* Define to 1 if you have the <unistd.h> header file. */
 #define HAVE_UNISTD_H 1
 
-/* Define to the sub-directory where libtool stores uninstalled libraries. */
-#define LT_OBJDIR ".libs/"
-
 /* Name of package */
 #define PACKAGE "expat"
 
@@ -91,7 +77,7 @@
 #define PACKAGE_NAME "expat"
 
 /* Define to the full name and version of this package. */
-#define PACKAGE_STRING "expat 2.7.1"
+#define PACKAGE_STRING "expat 2.8.1"
 
 /* Define to the one symbol short name of this package. */
 #define PACKAGE_TARNAME "expat"
@@ -100,18 +86,15 @@
 #define PACKAGE_URL ""
 
 /* Define to the version of this package. */
-#define PACKAGE_VERSION "2.7.1"
+#define PACKAGE_VERSION "2.8.1"
 
-/* Define to 1 if all of the C90 standard headers exist (not just the ones
-   required in a freestanding environment). This macro is provided for
-   backward compatibility; new code need not use it. */
+/* Define to 1 if you have the ANSI C header files. */
 #define STDC_HEADERS 1
 
 /* Version number of package */
-#define VERSION "2.7.1"
+#define VERSION "2.8.1"
 
-/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
-   significant byte first (like Motorola and SPARC, unlike Intel). */
+/* whether byteorder is bigendian */
 #if defined AC_APPLE_UNIVERSAL_BUILD
 # if defined __BIG_ENDIAN__
 #  define WORDS_BIGENDIAN 1
@@ -130,8 +113,10 @@
    point, 0 to disable. */
 #define XML_CONTEXT_BYTES 1024
 
+#  if ! defined(_WIN32)
 /* Define to include code reading entropy from `/dev/urandom'. */
 #define XML_DEV_URANDOM 1
+#  endif
 
 /* Define to make parameter entity parsing functionality available. */
 #define XML_DTD 1
@@ -142,10 +127,12 @@
 /* Define to make XML Namespaces functionality available. */
 #define XML_NS 1
 
-/* Define to empty if `const' does not conform to ANSI C. */
-/* #undef const */
+/* Define to __FUNCTION__ or "" if `__func__' does not conform to ANSI C. */
+#  ifdef _MSC_VER
+#    define __func__ __FUNCTION__
+#  endif
 
-/* Define to `long int' if <sys/types.h> does not define. */
+/* Define to `long' if <sys/types.h> does not define. */
 /* #undef off_t */
 
 #endif // ndef EXPAT_CONFIG_H
Index: src/external/mit/expat/lib/libexpat/shlib_version
===================================================================
RCS file: /cvsroot/src/external/mit/expat/lib/libexpat/shlib_version,v
retrieving revision 1.6
diff -u -r1.6 shlib_version
--- src/external/mit/expat/lib/libexpat/shlib_version	18 Apr 2025 16:08:25 -0000	1.6
+++ src/external/mit/expat/lib/libexpat/shlib_version	12 Jun 2026 08:23:10 -0000
@@ -2,4 +2,4 @@
 #
 # XXX netbsd xsrc had major=4
 major=2
-minor=5
+minor=6
Index: src/external/mit/xorg/tools/fc-cache/Makefile
===================================================================
RCS file: /cvsroot/src/external/mit/xorg/tools/fc-cache/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- src/external/mit/xorg/tools/fc-cache/Makefile	13 Oct 2025 14:03:47 -0000	1.24
+++ src/external/mit/xorg/tools/fc-cache/Makefile	12 Jun 2026 08:23:10 -0000
@@ -84,7 +84,7 @@
 SRCS.freetype+=	winfnt.c
 
 .PATH:	${EXPAT}/lib
-SRCS.expat=	xmlparse.c xmltok.c xmlrole.c
+SRCS.expat=	xmlparse.c xmltok.c xmlrole.c random_arc4random_buf.c
 
 SRCS=	${SRCS.fc-cache} ${SRCS.fontconfig} ${SRCS.freetype} ${SRCS.expat}
 
